%global system_user libvirtdbus

Summary:    libvirt D-Bus API binding
Name:       libvirt-dbus
Version:    1.4.1
Release:    3%{?dist}
License:    LGPLv2+
URL:        https://libvirt.org/
Source0:    https://libvirt.org/sources/dbus/%{name}-%{version}.tar.xz

BuildRequires: gcc meson glib2-devel
BuildRequires: libvirt-devel libvirt-glib-devel python3-docutils
Requires: glib2
Requires: dbus libvirt-libs libvirt-glib polkit
Requires(pre): shadow-utils

%description
This package provides D-Bus API for libvirt

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%pre
getent group %{system_user} >/dev/null || groupadd -r %{system_user}
getent passwd %{system_user} >/dev/null || \
    useradd -r -g %{system_user} -d / -s /sbin/nologin \
    -c "Libvirt D-Bus bridge" %{system_user}
exit 0

%files
%license COPYING
%doc AUTHORS.rst NEWS.rst
%{_sbindir}/libvirt-dbus
%{_unitdir}/libvirt-dbus.service
%{_prefix}/lib/systemd/user/libvirt-dbus.service
%{_datadir}/dbus-1/services/org.libvirt.service
%{_datadir}/dbus-1/system-services/org.libvirt.service
%{_datadir}/dbus-1/system.d/org.libvirt.conf
%{_datadir}/dbus-1/interfaces/org.libvirt.*.xml
%{_datadir}/polkit-1/rules.d/libvirt-dbus.rules
%{_mandir}/man8/libvirt-dbus.8*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 19 2023 Miaojun Dong <zoedong@tencent.com> - 1.4.1-2
- Rebuild for libvirt-9.4.0

* Wed Jul 12 2023 Miaojun Dong <zoedong@tencent.com> - 1.4.1-1
- Bump version to 1.4.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jan 17 2023 Miaojun Dong <zoedong@tencent.com> - 1.4.0-1
- initial build
